LNMP 一键安装包 V1.6

8 Comments

最近比较忙,私密了几个标题还没闲心填坑。星期六,上班稍闲,水一篇刷刷存在感。

PHP 5.6.x 停止安全支持

2018年12月31日,PHP 5.6.x 安全支持正式停止。不过,2019.1.10 官方发布最后一个安全更新版本:PHP 5.6.40,如果没有发现严重漏洞,这将是 PHP 5 最后一个版本。(言下之意是可能还会更新?)

连同发布的还有 PHP 7.2.14、PHP 7.3.1……

更多信息:PHP version support timelines

 1010-php-timelines

LNMP 一键安装包 V1.6 测试版

前几天曾经想升级到 PHP 7.3.0,不过 LNMP 1.5 好像不支持,得修改一下。并且 LNMP 自带 PHP 升级脚本升级时网站无法访问,升级完 PHP,还得重新安装 Memcached,开启 OPcache,修改 php.ini……挺累的。而升级 nginx 就舒服多了,选择好升级版本号,丢那里让它升级就好,网站也可以正常访问。

今天逛 LNMP 官网,发现 2019.1.1 已经发布 LNMP 1.6 测试版:增加 PHP 7.3 支持;增加 Nginx/Apache TLS 1.3 支持(前阵子还手工折腾了下)……

升级……

升级 LNMP 管理脚本:

wget http://soft.vpser.net/lnmp/lnmp1.6beta.tar.gz -cO lnmp1.6beta.tar.gz && tar zxf lnmp1.6beta.tar.gz && cd lnmp1.6 && ./upgrade1.x-1.6.sh

升级 nginx:

./upgrade.sh nginx

升级 php:

./upgrade.sh php

重新安装 Memcached,开启 OPcache,修改 php.ini……

顺带更新了一下系统:

yum -y update

升级过程挺顺利,nginx 1.15.8 + php 7.3.1 顺利到手……

主题 Bug

升级到 php 7.3.1 后发现 time(U) 不能用了,改成 current_time('timestamp') 解决。

声明:除非注明,常阳时光文章均为原创
本文地址:https://cyhour.com/1010/
转载时必须以链接形式注明原始出处。
Views: 1K Tags:  ,  ,  , 

Comments:8

  1. yum -y update主要更新的是?

    2019.01.12 21:21 # 回复
    1楼
  2. 还是php 5.6到路过。

    2019.01.14 23:01 # 回复
    2楼
  3. LNMP1.6还是测试版 ,正式版一般要到儿童节发布

    2019.01.15 14:20 # 回复
    3楼
  4. 暂时没有需求。

    2019.01.19 03:55 # 回复
    4楼

发表留言

炒蛋:Vultr 送$25 | 搬瓦工年付$19补货,优惠码 BWH34QMFYT2R | 推荐VPS信息